ONESIXTYONE(1)

NAME
onesixtyone - fast and simple SNMP scanner

SYNOPSIS
onesixtyone [options] <host> <community>

OPTIONS

-c <communityfile> file with community names to try

-i <inputfile>
    file with target hosts

-o <outputfile>
    output log

-p  specify an alternate destination SNMP port

-d  debug mode, use twice for more information

-s  short mode, only print IP addresses

-w n
    wait n milliseconds (1/1000 of a second) between sending packets (default 10)

-q  quiet mode, do not print log to stdout, use with -l

host is either an IPv4 address or an IPv4 address and a netmask default community names are: public private

    Max number of hosts : 65535

    Max community length: 32

    Max number of communities: 16384

EXAMPLES

onesixtyone 192.168.4.0/24 public

onesixtyone -c dict.txt -i hosts -o my.log -w 100

COPYRIGHT
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>